## nvram-wakeup 1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 # Makefile for nvram-wakeup
 #
-# $Id: Makefile,v 1.34 2004/07/09 11:29:02 bistr-o-math Exp $
+# $Id: Makefile 910 2008-11-23 13:40:45Z tiber $
+
+# we rely on sed and msgfmt here.
 
 
 # where do you want the program to be installed?
@@ -18,10 +20,10 @@
 DOC       = README README.mb README.reboot HISTORY nvram-wakeup.conf
 
 BINS   = nvram-wakeup rtc time biosinfo guess cat_nvram
-#SRCS = $(PROG:%=%.c)
 OBJS   = nvram-wakeup.o nvram-wakeup-mb.o bios.o gmt-test.o byteops.o \
          nvramops.o guess.o biosinfo.o tools.o readconf.o cat_nvram.o \
          rtc.o time.o
+SRCS   = $(OBJS:%.o=%.c)
 HDRS   = nvram-wakeup.h
 GTTXT  = guess-helper.mo
 GTTXTSRC = $(GTTXT:%.mo=%.po)
@@ -31,11 +33,15 @@
 MAN5GZ = $(MAN5:%.5=%.5.gz)
 MAN8GZ = $(MAN8:%.8=%.8.gz)
 DEVS = /dev/nvram /dev/rtc /dev/mem
-CLEANFILES = $(BINS) $(OBJS) $(MAN5GZ) $(MAN8GZ) $(GTTXT)
+CLEANFILES = $(BINS) $(OBJS) $(MAN5GZ) $(MAN8GZ) $(GTTXT) cvs_revs.h
+
+# For the dist target:
+TMPDIR = /tmp
+VERSION = $(shell sed -ne '/define VERSION/s/^.*"\(.*\)".*$$/\1/p' nvram-wakeup.h)
 
 CC = gcc
 DEFS = -D_GNU_SOURCE
-CFLAGS = -O2 -Wall -Wstrict-prototypes -g -mcpu=i686 -pedantic $(DEFS)
+CFLAGS = -O2 -Wall -Wstrict-prototypes -g -pedantic $(DEFS)
 INSTALL = install
 INSTALL_STRIP = $(INSTALL) -s
 
@@ -54,8 +60,14 @@
 
 time:           time.o
 
-$(OBJS): $(HDRS)
+$(OBJS): $(HDRS) cvs_revs.h
 
+cvs_revs.h: $(HDRS) $(SRCS)
+	@echo Preparing $@
+	@echo 'static char* CVS_ALL[] = {' >cvs_revs.h
+	@grep $^ -e '[^"]$$Id' |sed "s/^.*\(\$$Id.*\$$\)/\"\1\",/">>cvs_revs.h
+	@echo 'NULL };' >>cvs_revs.h
+	
 man: $(MAN5GZ) $(MAN8GZ)
 
 %.gz: 
@@ -76,7 +88,7 @@
 	mknod $@ c 1  1
 
 clean:
-	$(RM) $(CLEANFILES)
+	@$(RM) $(CLEANFILES)
 
 rebuild:  clean all man
 
@@ -109,3 +121,14 @@
 	cd $(MANDIR)/man8; rm -f $(MAN8GZ)
 	cd $(DOCDIR); rm -f $(DOC)
 	cd $(GTTXTDIR); rm -f $(GTTXT)
+
+tags: $(SRCS) $(HDRS)
+	ctags $(SRCS) $(HDRS)
+
+dist: clean
+	@-rm -rf $(TMPDIR)/nvram-wakup-$(VERSION)
+	@mkdir $(TMPDIR)/nvram-wakup-$(VERSION)
+	@cp -a * $(TMPDIR)/nvram-wakup-$(VERSION)
+	@tar czf nvram-wakup-$(VERSION).tar.gz -C $(TMPDIR) --exclude .svn nvram-wakup-$(VERSION)
+	@-rm -rf $(TMPDIR)/nvram-wakup-$(VERSION)
+	@echo Distribution package created as nvram-wakup-$(VERSION).tar.gz
