=== debian/control ===
Source: nvram-wakeup
Section: misc
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/nvram-wakeup
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/nvram-wakeup.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/nvram-wakeup.git

Package: nvram-wakeup
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Read/write the WakeUp time from/to the BIOS
 nvram-wakeup can read and write the wake up time in the BIOS
 (via /dev/nvram on recent 2.4.x kernels or direct I/O port access).
 On this wake up time the computer will be powered on automatically from
 the soft-off state. For the video disc recorder VDR, nvram-wakeup installs
 a hook script, that allows VDR to set a wake up time, when it powers down.
