=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	# do nothing here, rely on dh_install instead

override_dh_installchangelogs:
	dh_installchangelogs HISTORY
