=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/nvram-wakeup/ nvram-wakeup-(.*)\.tar\.bz2
